Subject: Re: [patch 2.6.12-rc5] tg3: add bcm5752 entry to pci.ids

From: Jeff Garzik <[email-masked]>
Date: Fri, 27 May 2005 16:40:21 -0400

Michael Chan wrote:
> On Fri, 2005-05-27 at 12:30 -0700, David S. Miller wrote:
> 
> 
>>I'll apply this, thanks John.
>>
>>pci.ids needs several updates for tg3 in fact, and it
>>also now needs entries for bnx2 as well.
>>
> 
> 
> The bnx2 IDs are already in, probably from sourceforge. And the tg3 IDs
> look reasonably complete to me.
> 
> So in the future, do we need to patch this file or just let sourceforge
> take care of it?

Honestly, pci.ids is such a non-critical file, unless DaveM disagrees I 
would strongly encourage people to -only- send pci.ids updates to 
sourceforge.

pci.ids is only used in one location -- deprecated /proc/pci -- and will 
be removed in the next year or so, I imagine. Further, pci.ids is 
periodically sync'd en masse from sourceforge into the kernel by janitors.

Users should be using 'lspci' not /proc/pci, and lspci takes it data 
from sourceforge database not the kernel.

	Jeff